/*
 * IMPORTANT NOTE:  This is a user-modifiable file (see below).
 * See "userhooks.h" for further information.
 */

/*
 * COPYRIGHT (c) 1996 Physical Effects, Inc.  All rights reserved.
 * Use of copyright notice is precautionary and does not imply publication.
 */

#define __CORIOLIS_KERNEL__
#include    <coriolis/kernel.h>

EntityHook::EntityHook()
{
  bs = 0;			// DO NOT REMOVE/ALTER THIS LINE
  entity_name = 0;		// DO NOT REMOVE/ALTER THIS LINE
  user_data = 0;		// all yours...
}

EntityHook::~EntityHook()
{
  ;
}

void EntityHook::display()
{
  ;
}

boolean EntityHook::input()
{
  return TRUE;
}

boolean EntityHook::output()
{
  return TRUE;
}

boolean EntityHook::is_handle(ctriple, double)
{
  return FALSE;
}

BodyHook::BodyHook()
{
  ;
}

ContactHook::ContactHook()
{
  ;
}

void ContactHook::display()
{
  ;
}

EConstraintHook::EConstraintHook()
{
#ifdef sgi
  display_tag = 0;
#else
  ;
#endif
}

InfluenceHook::InfluenceHook()
{
  ;
}

BarrierHook::BarrierHook()
{
  ;
}

ShapeHook::ShapeHook()
{
#ifdef sgi
  display_tag = shadow_tag = 0;
#else
  ;
#endif
}


